--Por Nickobelit
function onCreatePost()
    makeLuaText("Creditos1", 'Song:\n\n'.. songName, 1280, -300,550)
    setTextSize('Creditos1', 25)
    setTextAlignment('Creditos1', 'Center')
    setTextFont("Creditos1", "SF Slapstick Comic Bold.ttf");
    setObjectCamera("Creditos1", 'other')
    addLuaText("Creditos1")
    setProperty('Creditos1.alpha',0)

    makeLuaText("Creditos2", 'Song By:\n\nWauli', 1280, 300,550)
    setTextSize('Creditos2', 25)
    setTextAlignment('Creditos2', 'Center')
    setTextFont("Creditos2", "SF Slapstick Comic Bold.ttf");
    setObjectCamera("Creditos2", 'other')
    addLuaText("Creditos2")
    setProperty('Creditos2.alpha',0)
end
	
function onSongStart()
runTimer('holaCreditos1', 1)
end

function onTimerCompleted(tag)
if tag == 'holaCreditos1' then
doTweenAlpha('Creditos1Alpha', 'Creditos1', 1, 2, 'linear')
doTweenAlpha('Creditos2Alpha', 'Creditos2', 1, 2, 'linear')
runTimer('adiosCreditos1', 4)
end

if tag == 'adiosCreditos1' then
doTweenAlpha('Creditos1Alpha', 'Creditos1', 0, 1, 'linear')
doTweenAlpha('Creditos2Alpha', 'Creditos2', 0, 1, 'linear')
runTimer('holaCreditos2', 2)
end

if tag == 'holaCreditos2' then
doTweenAlpha('Creditos3Alpha', 'Creditos3', 1, 2, 'linear')
doTweenAlpha('Creditos4Alpha', 'Creditos4', 1, 2, 'linear')
runTimer('adiosCreditos2', 4)
end

if tag == 'adiosCreditos2' then
doTweenAlpha('Creditos3Alpha', 'Creditos3', 0, 1, 'linear')
doTweenAlpha('Creditos4Alpha', 'Creditos4', 0, 1, 'linear')
runTimer('holaCreditos3', 2)
end

if tag == 'holaCreditos3' then
doTweenAlpha('Creditos5Alpha', 'Creditos5', 1, 2, 'linear')
doTweenAlpha('Creditos6Alpha', 'Creditos6', 1, 2, 'linear')
runTimer('adiosCreditos3', 4)
end

if tag == 'adiosCreditos3' then
doTweenAlpha('Creditos5Alpha', 'Creditos5', 0, 1, 'linear')
doTweenAlpha('Creditos6Alpha', 'Creditos6', 0, 1, 'linear')
runTimer('borrenlosss', 2)
end

if tag == 'borrenlosss' then
removeLuaText('Creditos1', true)
removeLuaText('Creditos2', true)
removeLuaText('Creditos3', true)
removeLuaText('Creditos4', true)
removeLuaText('Creditos5', true)
removeLuaText('Creditos6', true)
end
end